using data.Domain.UseCase;
using data.Repository;


public class ServiceExtencions
{
    public void ConfigureServices(IServiceCollection services)
    {
        //  
        services.AddScoped<IUserRepository, SQLUserRepositoryImpl>() //  IUserRepository   
                .AddScoped<IGroupRepository, SQLGroupRepositoryImpl>()
                .AddScoped<IPresenceRepository, SQLPresenceRepositoryImpl>()
                .AddScoped<UseCaseGeneratePresence>();  //  UseCase

        //  
        services.AddControllers();
    }
}